%define oname   gem2rpm

Name:       ruby-%{oname}
Version:    0.8.1
Release:    %mkrel 5
Summary:    Generate rpm specfiles from gems
License:    GPLv2+
Group:      Development/Ruby
URL:        http://rubyforge.org/projects/gem2rpm/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
Source101:  mageia.erb
Patch0:     gem2rpm-0.8.1-use-vendor-template.patch
BuildRequires: rubygems
BuildArch:  noarch

%description
Generate source rpms and rpm spec files from a Ruby Gem.  The spec file
tries to follow the gem as closely as possible

%files
%doc AUTHORS README LICENSE
%{_bindir}/gem2rpm
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/gems/%{oname}-%{version}/templates
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%doc %{ruby_gemdir}/doc/%{oname}-%{version}/

#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
%patch0 -p1

%build
%gem_build

%install
%gem_install

install -D -m644 %{SOURCE101} %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/templates/%{_real_vendor}.spec.erb

rm -f %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/{AUTHORS,README,LICENSE}


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 0.8.1-5.mga3
+ Revision: 395992
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.8.1-4.mga3
+ Revision: 380895
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 02 2012 fwang <fwang> 0.8.1-3.mga3
+ Revision: 312427
- do not produce devel package by default

* Fri Nov 02 2012 fwang <fwang> 0.8.1-2.mga3
+ Revision: 312365
- apply patch

* Fri Nov 02 2012 fwang <fwang> 0.8.1-1.mga3
+ Revision: 312345
- new version 0.8.1

* Tue Mar 29 2011 shikamaru <shikamaru> 0.6.0-1.mga1
+ Revision: 78925
- imported package ruby-gem2rpm

